#ifndef	__ATH_AR9280_PHY_H__
#define	__ATH_AR9280_PHY_H__

#define	AR_PHY_TX_PWRCTRL4		0xa264
#define	AR_PHY_TX_PWRCTRL_PD_AVG_VALID		0x00000001
#define	AR_PHY_TX_PWRCTRL_PD_AVG_VALID_S	0
#define	AR_PHY_TX_PWRCTRL_PD_AVG_OUT		0x000001FE
#define	AR_PHY_TX_PWRCTRL_PD_AVG_OUT_S		1

#define	AR_PHY_TX_GAIN_TBL1		0xa300
#define	AR_PHY_TX_GAIN				0x0007F000
#define	AR_PHY_TX_GAIN_S			12

#define	AR_PHY_CCA_NOM_VAL_9280_2GHZ		-112
#define	AR_PHY_CCA_NOM_VAL_9280_5GHZ		-112
#define	AR_PHY_CCA_MIN_GOOD_VAL_9280_2GHZ	-127
#define	AR_PHY_CCA_MIN_GOOD_VAL_9280_5GHZ	-122
#define	AR_PHY_CCA_MAX_GOOD_VAL_9280_2GHZ	-97
#define	AR_PHY_CCA_MAX_GOOD_VAL_9280_5GHZ	-102

#define	OLC_FOR_AR9280_20_LATER	(AR_SREV_9280_20_OR_LATER(ah) && \
				    ath_hal_eepromGetFlag(ah, AR_EEP_OL_PWRCTRL))


#endif
