
#include "opt_ah.h"

#include "ah.h"
#include "ah_internal.h"

#include "ar5416/ar5416.h"
#include "ar5416/ar5416reg.h"
#include "ar5416/ar5416phy.h"

#include "ath9k/hw.c"

void
ath9k_hw_set11nmac2040(struct ath_hal *ah, struct ieee80211_channel *chan)
{
        u32 macmode;

#ifdef	NOTYET_ADRIAN
        if (conf_is_ht40(conf) && !ah->config.cwm_ignore_extcca)
#else
        if (IEEE80211_IS_CHAN_HT40(chan))
#endif
                macmode = AR_2040_JOINED_RX_CLEAR;
        else
                macmode = 0;

        OS_REG_WRITE(ah, AR_2040_MODE, macmode);
}

